> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all properties

GET https://api.propexo.com/v1/properties/

Get all properties

Reference: https://docs.propexo.com/api-reference/propertyware-soap/properties/get-all-properties

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external property id
- `x_property_id` (string, optional) — Deprecated: Use x_id instead
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `integration_id` (string, optional) — The Propexo integration id
- `integration_vendor` (enum, optional) — The integration vendor for the property.
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `is_active` (V1PropertiesGetParametersIsActiveSchema, optional, nullable) — Active status of the property in the PMS. Please note this is a separate value to the property's status in Propexo which can be fetched using the 'Get all my property configurations' endpoint.

## Response

### 200

Successful response

- `meta` (ResponseMeta, optional)
- `results` (list of V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItems, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1PropertiesGetParametersIsActiveSchema

Active status of the property in the PMS. Please note this is a separate value to the property's status in Propexo which can be fetched using the 'Get all my property configurations' endpoint.

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItems

- `id` (string, optional) — The Propexo unique identifier for the property
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_created_at` (any, optional) — The date the record first entered the integration vendorThis field will always be null for PROPERTYWARE
- `x_id` (string, optional) — The external ID from the integration vendor | Method | |---| | getBuildings | | getBuildingsForPortfolio |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Method | |---| | getBuildings | | getBuildingsForPortfolio |
- `x_building_id` (any, optional) — The external ID of the building (not necessarily the property) from the integration vendorThis field will always be null for PROPERTYWARE
- `building_number` (any, optional) — The building number associated with the propertyThis field will always be null for PROPERTYWARE
- `city` (string, optional, nullable) — The city associated with the property | Method | |---| | getBuildings |
- `code` (any, optional) — The code associated with the propertyThis field will always be null for PROPERTYWARE
- `country` (string, optional, nullable) — The country associated with the property | Method | |---| | getBuildings |
- `county` (string, optional, nullable) — The county associated with the property | Method | |---| | getBuildings |
- `custom_data` (V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItemsCustomData, optional, nullable)
- `is_active` (boolean, optional, nullable) — Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint. | Method | |---| | getBuildings |
- `manager_email` (string, optional, nullable) — The email address of the property manager | Method | |---| | getBuildings |
- `manager_name` (string, optional, nullable) — The name of the property manager | Method | |---| | getBuildings |
- `manager_phone_1` (string, optional, nullable) — The first phone number of the property manager | Method | |---| | getBuildings |
- `manager_phone_1_type` (enum, optional) — The type of the first phone number of the property manager | Method | |---| | getBuildings |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `manager_phone_2` (string, optional, nullable) — The second phone number of the property manager | Method | |---| | getBuildings |
- `manager_phone_2_type` (enum, optional) — The type of the second phone number of the property manager | Method | |---| | getBuildings |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `name` (string, optional, nullable) — The name of the property | Method | |---| | getBuildings |
- `notes` (string, optional, nullable) — Notes associated with the property | Method | |---| | getBuildings |
- `number_of_units` (any, optional) — The number of units in the propertyThis field will always be null for PROPERTYWARE
- `square_feet` (integer, optional, nullable) — The square footage of the propertyThis field is not currently hydrated for PROPERTYWARE
- `state` (string, optional, nullable) — The state associated with the property | Method | |---| | getBuildings |
- `address_1` (string, optional, nullable) — The first address line associated with the property | Method | |---| | getBuildings |
- `address_2` (string, optional, nullable) — The second address line associated with the property | Method | |---| | getBuildings |
- `type_raw` (string, optional, nullable) — The raw PMS type of the property | Method | |---| | getBuildings |
- `type_normalized` (V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItemsTypeNormalized, optional, nullable) — The Propexo normalized property type | Method | |---| | getBuildings |
- `website` (string, optional, nullable) — The website URL associated with the property | Method | |---| | getBuildings |
- `year_built` (any, optional) — The year the property was builtThis field will always be null for PROPERTYWARE
- `zip` (string, optional, nullable) — The zip code associated with the property | Method | |---| | getBuildings |
- `long_description` (any, optional) — A long description of the propertyThis field will always be null for PROPERTYWARE
- `short_description` (any, optional) — A short description of the propertyThis field will always be null for PROPERTYWARE
- `office_hours` (V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItemsOfficeHours, optional)
- `pet_types` (list of PetTypes, optional) — This field is not currently hydrated for PROPERTYWARE
- `associated_owner_ids` (list of string, optional) — The property IDs associated with the owner | Method | |---| | getBuildingsForPortfolio |
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `PROPERTYWARE`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `square_footage` (any, optional, deprecated) — Deprecated: Use square\_feetThis field will always be null for PROPERTYWARE
- `street_address_1` (string, optional, nullable, deprecated) — Deprecated: Use address_1 | Method | |---| | getBuildings |
- `street_address_2` (string, optional, nullable, deprecated) — Deprecated: Use address_2 | Method | |---| | getBuildings |
- `type` (any, optional, deprecated) — Deprecated: Use type\_raw\.This field will always be null for PROPERTYWARE

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItemsCustomData

### V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItemsTypeNormalized

The Propexo normalized property type | Method | |---| | getBuildings |

### V1PropertiesGetResponsesContentApplicationJsonSchemaResultsItemsOfficeHours

- `close_time` (string, required) — The closing time for the officeThis field is not currently hydrated for PROPERTYWARE
- `day_of_week` (enum, required) — The day of the week associated with the office hoursThis field is not currently hydrated for PROPERTYWARE
  - Allowed values: `SUNDAY`, `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`
- `open_time` (string, required) — The opening time for the officeThis field is not currently hydrated for PROPERTYWARE

### PetTypes

- `name` (string, required) — The name associated with the pet typeThis field is not currently hydrated for PROPERTYWARE
- `is_allowed` (boolean, required, nullable) — Whether the pet type is allowed or notThis field is not currently hydrated for PROPERTYWARE
- `description` (string, required, nullable) — Description of the pet typeThis field is not currently hydrated for PROPERTYWARE
- `notes` (string, required, nullable) — Notes associated with the pet typeThis field is not currently hydrated for PROPERTYWARE
- `deposit_raw` (string, required, nullable) — The deposit amount associated with the pet typeThis field is not currently hydrated for PROPERTYWARE
- `deposit_in_cents` (double, required, nullable) — The deposit amount in cents associated with the pet typeThis field is not currently hydrated for PROPERTYWARE
- `fee_raw` (string, required, nullable) — The raw fee amount for the pet typeThis field is not currently hydrated for PROPERTYWARE
- `fee_in_cents` (double, required, nullable) — The fee amount in cents for the pet typeThis field is not currently hydrated for PROPERTYWARE
- `fee_min_raw` (string, required, nullable) — The minimum raw fee amount for the pet typeThis field is not currently hydrated for PROPERTYWARE
- `fee_min_in_cents` (double, required, nullable) — The minimum fee amount in cents for the pet typeThis field is not currently hydrated for PROPERTYWARE
- `fee_max_raw` (string, required, nullable) — The maxmimum raw fee amount for the pet typeThis field is not currently hydrated for PROPERTYWARE
- `fee_max_in_cents` (double, required, nullable) — The maxmimum raw fee amount in cents for the pet typeThis field is not currently hydrated for PROPERTYWARE
- `rent_amount_raw` (string, required, nullable) — The raw rent amount for the pet typeThis field is not currently hydrated for PROPERTYWARE
- `rent_amount_in_cents` (double, required, nullable) — The rent amount in cents for the pet typeThis field is not currently hydrated for PROPERTYWARE

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_created_at": null,
      "x_id": "481920",
      "x_property_id": "481920",
      "x_building_id": null,
      "building_number": null,
      "city": "Austin",
      "code": null,
      "country": "USA",
      "county": "Travis",
      "custom_data": {},
      "is_active": true,
      "manager_email": "alex.rivera@example.com",
      "manager_name": "Alex Rivera",
      "manager_phone_1": "(555) 555-0100",
      "manager_phone_1_type": "MOBILE",
      "manager_phone_2": "(555) 555-0101",
      "manager_phone_2_type": "HOME",
      "name": "Oak Apartments",
      "notes": "Garden-style community",
      "number_of_units": null,
      "square_feet": 1,
      "state": "TX",
      "address_1": "1200 Market Street",
      "address_2": "Apt 4B",
      "type_raw": "Multi-Family",
      "type_normalized": "MULTI_FAMILY",
      "website": "oakapartments",
      "year_built": null,
      "zip": "78701",
      "long_description": null,
      "short_description": null,
      "office_hours": {
        "0": {
          "day_of_week": "SUNDAY",
          "open_time": "string",
          "close_time": "string"
        },
        "close_time": "string",
        "day_of_week": "SUNDAY",
        "open_time": "string"
      },
      "pet_types": [
        {
          "name": "string",
          "is_allowed": true,
          "description": "string",
          "notes": "string",
          "deposit_raw": "string",
          "deposit_in_cents": 100000,
          "fee_raw": "string",
          "fee_in_cents": 100000,
          "fee_min_raw": "string",
          "fee_min_in_cents": 100000,
          "fee_max_raw": "string",
          "fee_max_in_cents": 100000,
          "rent_amount_raw": "string",
          "rent_amount_in_cents": 100000
        }
      ],
      "associated_owner_ids": [
        "cm22cddpn4040140560i3ijyc1a8u1eh"
      ],
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "PROPERTYWARE",
      "square_footage": null,
      "street_address_1": "string",
      "street_address_2": "string",
      "type": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/properties/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/properties/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/properties/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/properties/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/properties/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/properties/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/properties/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/properties/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```